#!/usr/bin/env python

# Jean-Franois Roche (jfroche@jfroche.be)
#  ZPhotoSlides 0.3
#  GNU GPL
# 

from IMG_fileobj import FileObj
from IMG_img import Img
import os, sys

class MakeThumbnails:
	
	def __init__(self,path,destination='/tmp/paula2',scale=200,prefix='tn_'):
		prefix_size=len(prefix)
	        fo = FileObj(path)
                for i in fo.getBiggerFileList():
 	        	Im = Img(i[0])
			if(hasattr(Im,'imgname')): # if it's a valid image!
				if(Im.imgname[:prefix_size]!=prefix and Im.imgname[-3:]!='bak'):
# 				dont thumbnailize the thumbnails!!!
					Im.imgname = prefix + Im.imgname	
					dest = os.path.join(destination,Im.imgname)
					try:
		                		Im.thumbnailize(scale,prefix,dest)
					except:
						'oooooooooooooops'
	#			destination = os.path.split(destination)
	#			destination = destination[0]
			

if __name__ == '__main__':
	MakeThumbnails(sys.argv[1])
